import React from 'react';
import { FoundationButton } from '@billogram/foundation-button';
import FoundationLightboxProvider from './FoundationLightboxProvider';
export default function FoundationLightboxButton(_ref) {
  var children = _ref.children,
      Lightbox = _ref.Lightbox,
      onClose = _ref.onClose,
      onOpen = _ref.onOpen;
  return React.createElement(FoundationLightboxProvider, {
    onClose: onClose,
    onOpen: onOpen
  }, function (_ref2) {
    var open = _ref2.open;
    return React.createElement(FoundationButton // eslint-disable-next-line react/jsx-no-bind
    , {
      onClick: function onClick() {
        return open(Lightbox);
      }
    }, children);
  });
}
//# sourceMappingURL=FoundationLightboxButton.js.map